package com.ifish.entity;

import java.io.Serializable;

public class BrowseRoomId implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private Integer	roomId;
	private Integer	userId;

	public BrowseRoomId() {
	}

	public BrowseRoomId(Integer roomId, Integer userId) {
		this.roomId = roomId;
		this.userId = userId;
	}

	public Integer getRoomId() {
		return roomId;
	}

	public void setRoomId(Integer roomId) {
		this.roomId = roomId;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	@Override
    public boolean equals(Object obj) {
        if(obj instanceof BrowseRoomId){
        	BrowseRoomId pk=(BrowseRoomId)obj;
            if(this.roomId.equals(pk.roomId) && this.userId.equals(pk.userId)){
                return true;
            }
        }
        return false;
    }

    @Override
    public int hashCode() {
        return super.hashCode();
    }
	
}
